JTS Topology Suite - v 1.12

## com.vividsolutions.jts.algorithm
Class BoundaryNodeRule.Mod2BoundaryNodeRule

    java.lang.Object
      com.vividsolutions.jts.algorithm.BoundaryNodeRule.Mod2BoundaryNodeRule

All Implemented Interfaces:
  BoundaryNodeRule

Enclosing interface:
  BoundaryNodeRule

    public static class BoundaryNodeRule.Mod2BoundaryNodeRule

extends java.lang.Object
implements BoundaryNodeRule

A `BoundaryNodeRule` specifies that points are in the boundary of a lineal geometry iff the point lies on the boundary of an odd number of components. Under this rule `LinearRing`s and closed `LineString`s have an empty boundary.

This is the rule specified by the OGC SFS, and is the default rule used in JTS.

Version:
  1.7
Author:
  Martin Davis

Nested Class Summary

Nested classes/interfaces inherited from interface com.vividsolutions.jts.algorithm.BoundaryNodeRule
`BoundaryNodeRule.EndPointBoundaryNodeRule, BoundaryNodeRule.Mod2BoundaryNodeRule, BoundaryNodeRule.MonoValentEndPointBoundaryNodeRule, BoundaryNodeRule.MultiValentEndPointBoundaryNodeRule`

Field Summary

Fields inherited from interface com.vividsolutions.jts.algorithm.BoundaryNodeRule
`ENDPOINT_BOUNDARY_RULE, MOD2_BOUNDARY_RULE, MONOVALENT_ENDPOINT_BOUNDARY_RULE, MULTIVALENT_ENDPOINT_BOUNDARY_RULE, OGC_SFS_BOUNDARY_RULE`

Constructor Summary
`BoundaryNodeRule.Mod2BoundaryNodeRule()`

Method Summary
`boolean` `isInBoundary(int boundaryCount)` Tests whether a point that lies in `boundaryCount` geometry component boundaries is considered to form part of the boundary of the parent geometry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoundaryNodeRule.Mod2BoundaryNodeRule

    public BoundaryNodeRule.Mod2BoundaryNodeRule()

Method Detail

### isInBoundary

    public boolean isInBoundary(int boundaryCount)

  Description copied from interface: `BoundaryNodeRule`
  Tests whether a point that lies in `boundaryCount` geometry component boundaries is considered to form part of the boundary of the parent geometry.

  Specified by:
    `isInBoundary` in interface `BoundaryNodeRule`
  Parameters:
    `boundaryCount` - the number of component boundaries that this point occurs in
  Returns:
    true if points in this number of boundaries lie in the parent boundary

JTS Topology Suite - v 1.12